| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
wxRichTextPlainTextHandler Class Reference
Rich Text

`#include <wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextPlainTextHandler:
[legend]

## Detailed Description

Implements saving a buffer to plain text.

##

Library: wxRichText
Category: Rich Text

See Also
  wxRichTextFileHandler, wxRichTextBuffer, wxRichTextCtrl

## Public Member Functions

| wxRichTextPlainTextHandler (const wxString &name="Text", const wxString &ext="txt", wxRichTextFileType type=wxRICHTEXT_TYPE_TEXT)
virtual bool | CanSave () const
| Returns true if we can save using this handler.
virtual bool | CanLoad () const
| Returns true if we can load using this handler.
Public Member Functions inherited from wxRichTextFileHandler
| wxRichTextFileHandler (const wxString &name=wxEmptyString, const wxString &ext=wxEmptyString, int type=0)
| Creates a file handler object.
bool | LoadFile (wxRichTextBuffer *buffer, wxInputStream &stream)
| Loads the buffer from a stream.
bool | SaveFile (wxRichTextBuffer *buffer, wxOutputStream &stream)
| Saves the buffer to a stream.
virtual bool | LoadFile (wxRichTextBuffer *buffer, const wxString &filename)
| Loads the buffer from a file.
virtual bool | SaveFile (wxRichTextBuffer *buffer, const wxString &filename)
| Saves the buffer to a file.
virtual bool | CanHandle (const wxString &filename) const
| Returns true if we handle this filename (if using files).
virtual bool | IsVisible () const
| Returns true if this handler should be visible to the user.
virtual void | SetVisible (bool visible)
| Sets whether the handler should be visible to the user (via the application's load and save dialogs).
void | SetName (const wxString &name)
| Sets the name of the handler.
wxString | GetName () const
| Returns the name of the handler.
void | SetExtension (const wxString &ext)
| Sets the default extension to recognise.
wxString | GetExtension () const
| Returns the default extension to recognise.
void | SetType (int type)
| Sets the handler type.
int | GetType () const
| Returns the handler type.
void | SetFlags (int flags)
| Sets flags that change the behaviour of loading or saving.
int | GetFlags () const
| Returns flags controlling how loading and saving is done.
void | SetEncoding (const wxString &encoding)
| Sets the encoding to use when saving a file.
const wxString & | GetEncoding () const
| Returns the encoding to use when saving a file.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Protected Member Functions

virtual bool | DoLoadFile (wxRichTextBuffer *buffer, wxInputStream &stream)
| Override to load content from stream into buffer.
virtual bool | DoSaveFile (wxRichTextBuffer *buffer, wxOutputStream &stream)
| Override to save content to stream from buffer.

## Additional Inherited Members

Protected Attributes inherited from wxRichTextFileHandler
wxString | m_name
wxString | m_encoding
wxString | m_extension
int | m_type
int | m_flags
bool | m_visible

## Constructor & Destructor Documentation

wxRichTextPlainTextHandler::wxRichTextPlainTextHandler | ( | const wxString & | name = `"Text"`,
|  | const wxString & | ext = `"txt"`,
|  | wxRichTextFileType | type = `wxRICHTEXT_TYPE_TEXT`
| ) |  |

inline

## Member Function Documentation

virtual bool wxRichTextPlainTextHandler::CanLoad | ( |  | ) | const

inlinevirtual

Returns true if we can load using this handler.

Reimplemented from wxRichTextFileHandler.

virtual bool wxRichTextPlainTextHandler::CanSave | ( |  | ) | const

inlinevirtual

Returns true if we can save using this handler.

Reimplemented from wxRichTextFileHandler.

virtual bool wxRichTextPlainTextHandler::DoLoadFile | ( | wxRichTextBuffer * | buffer,
|  | wxInputStream & | stream
| ) |  |

protectedvirtual

Override to load content from stream into buffer.

Implements wxRichTextFileHandler.

virtual bool wxRichTextPlainTextHandler::DoSaveFile | ( | wxRichTextBuffer * | buffer,
|  | wxOutputStream & | stream
| ) |  |

protectedvirtual

Override to save content to stream from buffer.

Implements wxRichTextFileHandler.